Bug 447728 - Update gnutls to at least 2.2.1
Update gnutls to at least 2.2.1
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnutls (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-05-21 09:21 EDT by Lorenzo Villani
Modified: 2008-08-07 11:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-07 11:12:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lorenzo Villani 2008-05-21 09:21:14 EDT
Actual version of gnutls in fedora 9 (and rawhide) is 2.0.4. Some packages needs
gnutls 2.2.1 to build (like mod_gnutls, which I am packaging).

Since this is a minor update and prevents me to publish a review request for
mod_gnutls I expect to see gnutls >2.2.1 on rawhide or fedora 9 updates-testing.
Comment 1 Tomas Mraz 2008-05-21 09:31:37 EDT
It is not possible to update gnutls to 2.2.x version in Fedora 9, because the
2.2.x version has different ABI than 2.0.x.

I will update gnutls in rawhide.
Comment 2 Lorenzo Villani 2008-05-21 10:38:32 EDT
Thanks a lot
Comment 3 Joe Orton 2008-05-27 05:55:41 EDT
There's a possibility that gnutls 2.4 will break soname/ABI again so it might be
worth waiting to see whether that happens or not.
Comment 4 Nicolas Chauvet (kwizart) 2008-06-18 08:23:54 EDT
Any change to have gnutls 2.0.4 for F-8. (which seem ABI compatible)
As this bug has been submitted to devel, I could submit another bug for F-8 and
gnutls 2.0.4
See #451952 for side effects with filezilla if not updated.
Comment 5 Lorenzo Villani 2008-08-07 11:12:19 EDT
gnutls 2.4.1 is in rawhide, I think that this bug can be safely closed.

Note You need to log in before you can comment on or make changes to this bug.